Bug 135854 - TUI-mode firstboot appears to have disappeared
Summary: TUI-mode firstboot appears to have disappeared
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 134551
TreeView+ depends on / blocked
 
Reported: 2004-10-15 13:04 UTC by Jay Turner
Modified: 2015-01-08 00:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 10:23:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2004-10-15 13:04:27 UTC
Description of problem:
With firstboot-1.3.29-1, it appears that the ability to run firstboot
in TUI-mode has been commented out and I'm not really sure why. 
According to Feature #130273, the functionality is indeed supposed to
be there for RHEL4, and it was working just a day or two ago.  Can
anyone explain why in firstboot.py, we now have:
-------
#Let's check to see if we're in runlevel 5.  If we're in runlevel 3,
let's call
#textWindow for the TUI

line = os.popen('/sbin/runlevel', 'r').readline()
line = string.strip(line)
tokens = string.split(line)
runlevel = int(tokens[-1])

if runlevel == 3:
    print (_("Firstboot does not run in runlevel 3."))
    firstbootBackend.writeSysconfigFile(doDebug)
    os._exit(0)



#if runlevel == 3 and forcegui == None:
#    import textWindow
#    from snack import *

<and the commented code continues>
-----

There's nothing in the changelog to explain why the code has been
commented out, and this is really late in the game to make a chance
like this.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Adrian Likins 2004-10-15 19:26:54 UTC
hmm, I had no idea that was supposed to work, so probably
commented it out when merge rhel3/rhel4 branches. 

Is there someway I can get a list of all the features
firstboot is supposed to have? doesnt seem to be anything
in featurezilla assigned to me or bfox. 

Comment 2 Adrian Likins 2004-10-15 19:28:18 UTC
1.3.31 in dist-fc3 reverts the change. It starts up
in tui mode, but several of the modules fail to work
in tui mode. 

Comment 3 Jay Turner 2004-10-18 10:23:16 UTC
Indeed TUI-mode working again with firstboot-1.3.31-1, and the only
utility which is listed and doesn't appear to be functioning correctly
is system-config-soundcard, which claims it needs X in order to run. 
Other utilities are missing from the TUI-mode (like user config.) 
Closing out and will try to get a ruling on whether these utilities
missing is a stop-ship issue.


Note You need to log in before you can comment on or make changes to this bug.